# New ports collection makefile for:	idoc
# Date created:				25 October 2002
# Whom:					Oliver Braun <obraun@FreeBSD.org>
#
# $FreeBSD: ports/devel/hs-idoc/Makefile,v 1.5 2003/02/18 10:50:46 obraun Exp $

PORTNAME=	idoc
PORTVERSION=	0.2.5
CATEGORIES=	devel haskell
MASTER_SITES=	http://www.cse.unsw.edu.au/~chak/haskell/idoc/
PKGNAMEPREFIX=	hs-

MAINTAINER=	obraun@FreeBSD.org
COMMENT=	A No Frills Haskell Interface Documentation System

BUILD_DEPENDS=	ghc:${PORTSDIR}/lang/ghc

USE_REINPLACE=	yes
USE_GMAKE=	yes

ALL_TARGET=	# empty

post-patch:
	@${REINPLACE_CMD} -e 's|^\(PREFIX\)|#\1|' ${WRKSRC}/Makefile
	@${REINPLACE_CMD} -e 's|IOExts|Debug.Trace|' ${WRKSRC}/IDoc.hs

.include <bsd.port.mk>
